/*
	fldpriv.h

	% private header for fields

	C-scape 3.2
	Copyright (c) 1986-1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	11/28/88 jmd	reorganized headers

	 3/28/90 jmd	ansi-fied
*/

#define CS_INPUT ((char) 2)

#define RECPADCHAR ' '
#define MRGPADCHAR ' '

/* FIELD.C */
extern field_type field_Open(char *spec, int width, int dcount);
extern boolean    field_Ok(field_type f);

/* FLDCLS.C */
extern void     field_Close(field_type field);

/* FLDPULLL.C */
extern char     field_PullLeft(field_type f, int fpos);

/* FLDPULLR.C */
extern char     field_PullRight(field_type f, int fpos);

/* FLDPUSHL.C */
extern char     field_PushLeft(field_type f, int fpos, char c);

/* FLDPUSHR.C */
extern char     field_PushRight(field_type f, int fpos, char c);

/*** macros ***/

#define field_InitData(field, d, no) 	(field->data[no] = d)

#define field_IncGCol(field) (((field)->gcol)++)
#define field_SetGCol(field, count) ((field)->gcol = (count))
#define field_SetRight(field, r) ((field)->right = (r))
#define field_SetLeft(field, l) ((field)->left = (l))

#define field_SetWidth(field, w) ((field)->width = (w))

#define field_DecGCol(field) (((field)->gcol)--)
#define field_SetRow(field, r) ((field)->row = (r))
#define field_SetCol(field, c) ((field)->col = (c))

#define field_SetRegAttr(field, attr) ((field)->reg = (attr))
#define field_SetSelAttr(field, attr) ((field)->sel = (attr))
